#{if kursNilai != null}
<div class="panel panel-default">
    <div class="row">
        <div class="col-md-8">
            <div class="row">
                <div class="col-md-2">
                    <div class="form-group">
                        <p>&{'kurs.label'}</p>
                        <input class="form-control" type="text" readonly value="${kurs?.nama_kurs}"/>
                    </div>
                </div>
                <div class="col-md-3">
                    <div class="form-group">
                        <p>&{'nilai_kurs.label'}</p>
                        <input class="form-control currency kurs-nilai-tengah" type="text" readonly value="${kursNilai?.nilai_tengah}"/>
                    </div>
                </div>
                <div class="col-md-3">
                    <div class="form-group">
                        <p>&{'tanggal_kurs.label'}</p>
                        <input class="form-control" type="text" readonly value="${kursNilai?.tanggal_kurs}"/>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
#{/if}
<div class="panel panel-default">
    <input type="hidden" id="produk_jumlah" name="produk_jumlah" value="${produkList.size()}"/>
	#{list produkList, as:'pl'}
        <div class="panel-body cart-list">
            <input type="hidden" name="paket.produk_id" value="${pl?.id}">
            <input type="hidden" name="paket.produk_daerah_id" value="${pl?.daerah_id}">
            <input type="hidden" name="paket.produk_kelas_harga" value="${pl?.kelas_harga}">
            <input type="hidden" name="paket.kurs_id" value="${kursNilai?.kurs_id_from}">
            <input type="hidden" name="ongkir" value="${pl?.ongkir}">
            <div class="row">
                <div class="col-md-5">
                    <div class="row">
                        <div class="col-md-3">
                            <img src="${pl?.url_gambar_utama}"
                                 class="img img-responsive" />
                        </div>
                        <div class="col-md-7">
                            <h5>${pl?.nama_produk}</h5>
                        </div>
                        <div class="col-md-2">
                            <div class="form-group">
                                <p>&{'kuantitas.label'}</p>
                                <div class="#{errorClass 'paketToSave.stok_' + pl?.id /}">
                                    <input class="form-control currency kuantitas"  id="kuantitas_${pl_index}" data-index="${pl_index}" name="paket.produk_kuantitas"
                                           type="text" value="${kuantitas.get(pl.id)}"/>
                                    *{<input type="text" class="kuantitas_${pl_index}" name="paket.produk_kuantitas"}*
                                           *{data-index="${pl_index}" value="${kuantitas.get(pl.id)}">}*
                                    <span class="help-block">#{error 'paketToSave.stok_' + pl?.id /}</span>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-7">
                    <div class="row">
                        <div class="col-md-2">
                        #{if pl?.nama_kurs != kursUtama?.nama_kurs}
                            <div class="form-group">
                                <p>&{'kurs.label'}</p>
                                <input class="form-control" value="${pl?.nama_kurs}" readonly>
                            </div>
                        #{/if}
                            <div class="form-group">
                            #{if pl?.nama_kurs == kursUtama?.nama_kurs}
                                <p>&{'kurs.label'}</p>
                            #{/if}
                                <input class="form-control" value="IDR" readonly>
                            </div>
                        </div>
                        #{if komoditas?.perlu_ongkir}
                        <div class="col-md-3">
                            <div class="form-group">
                                <p>&{'referensi_ongkos_kirim.label'}</p>
                                <input class="form-control currency ongkos-kirim" id="harga-ongkir_${pl_index}" name="paket.harga_ongkir" type="text"
                                       data-index="${pl_index}" value="${pl.harga_ongkir}" />
                            </div>
                        </div>
                        #{/if}
                        <div class="col-md-3">
                            <div class="form-group">
                                <p>&{'harga_satuan.label'}</p>
                                <input class="form-control currency harga-satuan_${pl_index}" name="paket.produk_harga_satuan" type="text" readonly
                                       value="${pl.harga_utama}" />
                            </div>
							#{if pl?.nama_kurs != kursUtama?.nama_kurs}
                                <div class="form-group">
                                    <input class="form-control currency harga-satuan-konversi_${pl_index}" name="paket.produk_harga_satuan_konversi" type="text" readonly
                                           value="${(pl?.harga_utama * kursNilai.nilai_tengah)}" />
                                </div>
							#{/if}
                        </div>
                        <div class="col-md-3">
                            <div class="form-group">
                                <p>&{'total_harga.label'}</p>
                                <input class="form-control currency total-harga_${pl_index}" name="paket.harga_total" type="text" readonly
                                       value="${(pl?.harga_utama * kuantitas.get(pl.id)) + pl.harga_ongkir}" />
                            </div>
							#{if pl?.nama_kurs != kursUtama.nama_kurs}
								<div class="form-group">
									<input class="form-control currency total-harga-konversi_${pl_index}" type="text" readonly
										   value="${((pl.harga_utama * kursNilai.nilai_tengah) * kuantitas.get(pl.id)) + pl.harga_ongkir}" />
								</div>
							#{/if}
                        </div>
                        *{<div class="col-md-1">}*
                            *{<div class="pull-right">}*
                                *{<span class="fa fa-close"></span>}*
                            *{</div>}*
                        *{</div>}*
                    </div>
                </div>
                <div class="col-md-9 col-md-offset-2">
                    <div class="form-group">
                        <p>&{'catatan.label'} &{'produk.label'}</p>
                        <textarea name="paket.produk_catatan" class="form-control" rows="5"></textarea>
                    </div>
                </div>
            </div>
        </div>
	#{/list}
	<div class="panel-footer">
		<div class="row">
			<div class="col-md-6">
				<!--<button class="btn btn-sm btn-danger">-->
					<!--<span class="fa fa-close"></span> &{'hapus.label'} &{'semua.label'}-->
				<!--</button>-->
			</div>
			<div class="col-md-6">
				<div class="pull-right">
					&{'total_keseluruhan.label'} <p id="total-harga-keseluruhan" class="currency"><b>${totalHarga?.format("###.##")}</b></p>
				</div>
			</div>
		</div>
	</div>
</div>